function f = logmvnpdf(y,m,V,Vinv)
% log of mvn pdf
% y ~ N(m,V)

if nargin == 3
    Vinv = inv(V);
end

ndim = size(V,1);

e = y-m;
f = ...
    -ndim/2*log(2*pi) ...
    -1/2*log(det(V)) ...
    -1/2*(e'*Vinv*e);