function[vcvvol] = vcvcalc(Sinv,nu,ndim)

im1 = repmat(1:ndim,ndim,1)';
im2 = repmat(1:ndim,ndim,1);

vechim1 = vech(im1);
vechim2 = vech(im2);

lim = length(vechim1);

vcvvol = zeros(lim,lim);

for aa = 1:lim
    for bb = 1:aa
        vcvvol(aa,bb) = (2*Sinv(vechim1(aa),vechim2(aa))*Sinv(vechim1(bb),vechim2(bb)) + (nu-ndim-1)*(Sinv(vechim1(aa),vechim1(bb))*Sinv(vechim2(aa),vechim2(bb))+Sinv(vechim1(aa),vechim2(bb))*Sinv(vechim1(bb),vechim2(aa))))/((nu-ndim)*(nu-ndim-1)^2*(nu-ndim-3));
        vcvvol(bb,aa) = vcvvol(aa,bb);
    end
end